CentOS升级openssl
本文最后更新于 2389 天前,其中的信息可能已经有所发展或是发生改变。

编译某个软件的时候提示openssl版本过低,yum不给力,只要编译安装了。

系统:CentOS release 6.7 (Final)

自带openssl版本是:

OpenSSL 1.0.1e-fips 11 Feb 2013

openssl官网是:https://www.openssl.org

随便一个就行

wget https://www.openssl.org/source/openssl-1.0.2h.tar.gz
tar xf openssl-1.0.2h.tar.gz
mv openssl-1.0.2h /usr/local/openssl
cd /usr/local/openssl
./config shared zlib
make depned
make
make install

以前的openssl还在,先备份再替换

mv /usr/local/ssl/bin/openssl{,.back}
mv /usr/local/ssl/include/openssl{,.back}
mv /usr/bin/openssl{,.back}
mv /usr/lib64/openssl/engines{,.back}   //32bit是lib

ln -s /usr/local/openssl/apps/openssl /usr/local/ssl/bin/openssl
ln -s /usr/local/openssl/include/openssl /usr/local/ssl/include/openssl
ln -s /usr/local/openssl/engines /usr/lib64/openssl/engines
ln -s /usr/local/openssl/apps/openssl /usr/bin/openssl

ldconfig
暂无评论

发送评论 编辑评论


|´・ω・)ノ
ヾ(≧∇≦*)ゝ
(☆ω☆)
(╯‵□′)╯︵┴─┴
 ̄﹃ ̄
(/ω\)
∠( ᐛ 」∠)_
(๑•̀ㅁ•́ฅ)
→_→
୧(๑•̀⌄•́๑)૭
٩(ˊᗜˋ*)و
(ノ°ο°)ノ
(´இ皿இ`)
⌇●﹏●⌇
(ฅ´ω`ฅ)
(╯°A°)╯︵○○○
φ( ̄∇ ̄o)
ヾ(´・ ・`。)ノ"
( ง ᵒ̌皿ᵒ̌)ง⁼³₌₃
(ó﹏ò。)
Σ(っ °Д °;)っ
( ,,´・ω・)ノ"(´っω・`。)
╮(╯▽╰)╭
o(*////▽////*)q
>﹏<
( ๑´•ω•) "(ㆆᴗㆆ)
😂
😀
😅
😊
🙂
🙃
😌
😍
😘
😜
😝
😏
😒
🙄
😳
😡
😔
😫
😱
😭
💩
👻
🙌
🖕
👍
👫
👬
👭
🌚
🌝
🙈
💊
😶
🙏
🍦
🍉
😣
Source: github.com/k4yt3x/flowerhd
颜文字
Emoji
小恐龙
花!
上一篇
下一篇